## pyquery 1.4.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/chut.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/chut.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/chut"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/chut"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pyquery 0.6.1

=== debian/changelog ===
pyquery (0.6.1-2) unstable; urgency=low

  * Rebuild for Python 2.7 as supported version
  * Update my email address, remove DMUA field
  * Standards version 3.9.2
  * debian/control: Use X-Python-Version only

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 16 Apr 2011 17:18:37 +0100

pyquery (0.6.1-1) unstable; urgency=low

  * New upstream release:
     - include upstream changelog (closes: #573274)
  * debian/python-pyquery.install: Install README.txt to
    /usr/share/doc/python-pyquery

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 20 Jul 2010 13:34:46 +0100

pyquery (0.6-1) unstable; urgency=low

  * New upstream release.
  * Set X{S,B}-Python-Version in debian/control; remove debian/pyversions
  * Add Provides for python-pyquery
  * Standards version 3.9.0, no changes
  * debian/source/format: Declare format 3.0 (quilt)
  * debian/copyright: Update license information

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 18 Jul 2010 17:12:12 +0100

pyquery (0.5-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.8.4, no changes

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 10 Mar 2010 09:28:40 +0000

pyquery (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Thu, 28 Jan 2010 11:48:35 +0000

pyquery (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #552001)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Thu, 22 Oct 2009 19:08:07 +0100

=== debian/control ===
Source: pyquery
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Wiltshire <jmw@debian.org>,
	TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.5)
Build-Depends-Indep: python-support (>= 0.5.3), python-setuptools
X-Python-Version: >= 2.5
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyquery/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyquery/trunk/
Homepage: http://pyquery.org/

Package: python-pyquery
Architecture: all
Depends: python-lxml, python-webob, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: jQuery-like library for python
 pyquery allows you to make jQuery queries on XML documents. The API is as
 similar to jQuery as possible. pyquery uses lxml for fast XML and HTML 
 manipulation.

## pyquery 1.0

=== debian/changelog ===
pyquery (1.0-1) unstable; urgency=low

  * New upstream release
  * Use dh_installdocs to install documentation, not dh_install
  * Build with dh_python2
  * Add CHANGES.txt to documentation

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 10 Aug 2011 14:51:52 +0100

## pyquery 1.1.1

=== debian/changelog ===
pyquery (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 21 Jan 2012 20:25:54 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jonathan Wiltshire <jmw@debian.org>,
 	TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7), python-all (>= 2.5)
-Build-Depends-Indep: python-support (>= 0.5.3), python-setuptools
+Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3)
+Build-Depends-Indep: python-setuptools
 X-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyquery/trunk/

## pyquery 1.2.1

=== debian/changelog ===
pyquery (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.9.3
  * debian/source/options: Ignore egg-info changes. (Closes: #671169)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 20:24:10 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3)
 Build-Depends-Indep: python-setuptools
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyquery/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyquery/trunk/
 Homepage: http://pyquery.org/

## pyquery 1.2.4

=== debian/changelog ===
pyquery (1.2.4-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jonathan Wiltshire ]
  * New upstream release
  * Install README.rst, not README.txt
  * Standards-version 3.9.4 (no changes)
  * Debhelper compat level 9

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 11 Jun 2013 22:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3)
 Build-Depends-Indep: python-setuptools
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyquery/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyquery/trunk/
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyquery/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyquery/trunk/
 Homepage: http://pyquery.org/
 
 Package: python-pyquery

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://pypi.python.org/packages/source/p/pyquery/pyquery-(.*)\.tar\.gz

## pyquery 1.2.9

=== debian/changelog ===
pyquery (1.2.9-2) unstable; urgency=medium

  * debian/control: Add python-setuptools to Build-Depends. (Closes: #806476)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 29 Nov 2015 16:35:45 +0900

pyquery (1.2.9-1) unstable; urgency=medium

  [ Jonathan Wiltshire ]
  * Update debian/watch

  [ TANIGUCHI Takaki ]
  * New upstream release (Closes: #737548)
    + Fix incompatible with python-cssselect 0.9.1 (Closes: #791590)
  * Support python3 (Closes: #782930)
  * debian/rules: Skip test.
  * debian/control:
    + Bump Standards-Version 3.9.6.
    + Update debhelper version.
    + Add python3 to Build-Depends

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 19:06:55 +0900

=== debian/control ===
Source: pyquery
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Wiltshire <jmw@debian.org>,
	TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3)
	, python3-all
	, python-setuptools
	, python3-setuptools
X-Python-Version: >= 2.5
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyquery.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyquery.git
Homepage: http://pyquery.org/

Package: python-pyquery
Architecture: all
Depends: python-lxml, python-webob, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: jQuery-like library for python 2
 pyquery allows you to make jQuery queries on XML documents. The API is as
 similar to jQuery as possible. pyquery uses lxml for fast XML and HTML 
 manipulation.
 .
 This package contains the module for Python 2.


Package: python3-pyquery
Architecture: all
Depends: python3-lxml, python3-webob, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: jQuery-like library for python 3
 pyquery allows you to make jQuery queries on XML documents. The API is as
 similar to jQuery as possible. pyquery uses lxml for fast XML and HTML 
 manipulation.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyquery

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=3
http://pypi.debian.net/pyquery/pyquery-(.*)\.zip

## pyquery 1.4.3

=== debian/changelog ===
pyquery (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - use ARCHIVE_EXT when scanning PyPI

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2022 23:04:04 -0500

pyquery (1.2.9-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 21:37:59 -0400

pyquery (1.2.9-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937514

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 17:00:25 -0500

pyquery (1.2.9-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ TANIGUCHI Takaki ]
  * Bump Stanrads-Version to 4.1.4

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 18 May 2018 19:40:22 +0900

=== debian/control ===
Source: pyquery
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jonathan Wiltshire <jmw@debian.org>,
	TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12)
        , dh-python
	, python3-all
	, python3-setuptools
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/python-team/packages/pyquery.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyquery
Homepage: http://pyquery.org/

Package: python3-pyquery
Architecture: all
Depends: python3-lxml, python3-webob, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: jQuery-like library for python 3
 pyquery allows you to make jQuery queries on XML documents. The API is as
 similar to jQuery as possible. pyquery uses lxml for fast XML and HTML
 manipulation.
 .
 This package contains the module for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 export PYBUILD_NAME=pyquery
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-

=== debian/watch ===
version=3
https://pypi.debian.net/pyquery/pyquery-(.*)@ARCHIVE_EXT@
